<!-- This file was generated by pybib2web, version 0.7.dev0: https://gitlab.com/sosy-lab/software/pybib2web/ -->
<input type="checkbox" id="show-compact">
<label for="show-compact">Compact view</label>
<h2 id="publications">Publications about Witness-Based Validation</h2>
<nav class="publication-navigation">(<a href="../All/index.html">Show all</a> &ndash; <a href="../index.html">Index</a>)</nav>

<a href="../Category/conferences.html"><h3>Articles in conference or workshop proceedings</h3></a>

<ol class="list-publications" start="1">

<li class="bibentry" id="ISoLA20c">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span> and
    <span class="author"><a href="../Author/FRIEDBERGER-K.html"><span class="firstname">Karlheinz</span> <span class="lastname">Friedberger</span></a></span>.</span>
    <span class="publication-title">Violation Witnesses and Result Validation for Multi-Threaded Programs.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">T.</span> <span class="lastname">Margaria</span></span> and
      <span class="editor"><span class="firstname">B.</span> <span class="lastname">Steffen</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 9th International Symposium on
        Leveraging Applications of Formal Methods, Verification, and Validation
        (ISoLA 2020, Rhodos, Greece, October 26-30), part 1</em>,
      <span class="series">LNCS 12476</span>,
      <span class="pages">pages 449-470</span>,
      <span class="publication-date">  <span class="year">2020</span></span>.
    </span>
    <span class="publisher">Springer.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-030-61362-4_26" data-doi="10.1007/978-3-030-61362-4_26" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-030-61362-4_26</a>
  </span>
  <a class="bibentry-link" href="#ISoLA20c"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>,
        <a class="keyword" href="../Keyword/WITNESS-BASED-VALIDATION.html">Witness-Based Validation</a>,
        <a class="keyword" href="../Keyword/WITNESS-BASED-VALIDATION-MAIN.html">Witness-Based Validation (main)</a>
      </span>
      <span class="funding-list">Funding:
        <a class="funding" href="../Funding/DFG-CONVEY.html">DFG-CONVEY</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-030-61362-4_26" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://link.springer.com/content/pdf/10.1007/978-3-030-61362-4_26.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="presentation-link" href="https://www.sosy-lab.org/research/prs/2021-10-25_ISOLA21_ValidationMultiThreaded_Dirk.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/presentation.gif">Presentation</a>
      <a class="material-link" href="https://www.sosy-lab.org/research/witnesses-concurrency/"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{ISoLA20c,
        author = {Dirk Beyer and Karlheinz Friedberger},
        title = {Violation Witnesses and Result Validation for Multi-Threaded Programs},
        booktitle = {Proceedings of the 9th International Symposium on Leveraging Applications of Formal Methods, Verification, and Validation (ISoLA~2020, Rhodos, Greece, October 26-30), part~1},
        editor = {T.~Margaria and B.~Steffen},
        pages = {449-470},
        year = {2020},
        series = {LNCS~12476},
        publisher = {Springer},
        doi = {10.1007/978-3-030-61362-4_26},
        sha256 = {65fc5325c4e77a80d8e47f9c0e7f0ac02379bfa15dcd9fb54d6587185b8efd77},
        url = {https://www.sosy-lab.org/research/witnesses-concurrency/},
        presentation = {https://www.sosy-lab.org/research/prs/2021-10-25_ISOLA21_ValidationMultiThreaded_Dirk.pdf},
        abstract = {},
        keyword = {CPAchecker,Software Model Checking,Witness-Based Validation,Witness-Based Validation (main)},
        funding = {DFG-CONVEY},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="CAV20">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span> and
    <span class="author"><a href="../Author/SPIESSL-M.html"><span class="firstname">Martin</span> <span class="lastname">Spiessl</span></a></span>.</span>
    <span class="publication-title">MetaVal: Witness Validation via Verification.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">S. K.</span> <span class="lastname">Lahiri</span></span> and
      <span class="editor"><span class="firstname">C.</span> <span class="lastname">Wang</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 32nd International Conference on
        Computer Aided Verification (CAV 2020, Virtual, USA, July 21-24), part 2</em>,
      <span class="series">LNCS 12225</span>,
      <span class="pages">pages 165-177</span>,
      <span class="publication-date">  <span class="year">2020</span></span>.
    </span>
    <span class="publisher">Springer.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-030-53291-8_10" data-doi="10.1007/978-3-030-53291-8_10" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-030-53291-8_10</a>
  </span>
  <a class="bibentry-link" href="#CAV20"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>,
        <a class="keyword" href="../Keyword/WITNESS-BASED-VALIDATION.html">Witness-Based Validation</a>,
        <a class="keyword" href="../Keyword/WITNESS-BASED-VALIDATION-MAIN.html">Witness-Based Validation (main)</a>
      </span>
      <span class="funding-list">Funding:
        <a class="funding" href="../Funding/DFG-CONVEY.html">DFG-CONVEY</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-030-53291-8_10" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://link.springer.com/content/pdf/10.1007/978-3-030-53291-8_10.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="https://gitlab.com/sosy-lab/software/metaval"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{CAV20,
        author = {Dirk Beyer and Martin Spiessl},
        title = {MetaVal: {W}itness Validation via Verification},
        booktitle = {Proceedings of the 32nd International Conference on Computer Aided Verification (CAV~2020, Virtual, USA, July 21-24), part 2},
        editor = {S.~K.~Lahiri and C.~Wang},
        pages = {165-177},
        year = {2020},
        series = {LNCS~12225},
        publisher = {Springer},
        doi = {10.1007/978-3-030-53291-8_10},
        sha256 = {7431085a248c7e2cab70318096622ff19ce1124067158d08866d3f9b250df44e},
        url = {https://gitlab.com/sosy-lab/software/metaval},
        abstract = {},
        keyword = {CPAchecker,Software Model Checking,Witness-Based Validation,Witness-Based Validation (main)},
        funding = {DFG-CONVEY},
        isbnnote = {978-3-030-53290-1},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="TAP18">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><a href="../Author/DANGL-M.html"><span class="firstname">Matthias</span> <span class="lastname">Dangl</span></a></span>,
    <span class="author"><a href="../Author/LEMBERGER-T.html"><span class="firstname">Thomas</span> <span class="lastname">Lemberger</span></a></span>, and
    <span class="author"><span class="firstname">Michael</span> <span class="lastname">Tautschnig</span></span>.</span>
    <span class="publication-title">Tests from Witnesses: Execution-Based Validation of Verification Results.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">Catherine</span> <span class="lastname">Dubois</span></span> and
      <span class="editor"><span class="firstname">Burkhart</span> <span class="lastname">Wolff</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 12th International Conference on
        Tests and Proofs (TAP 2018, Toulouse, France, June 27-29)</em>,
      <span class="series">LNCS 10889</span>,
      <span class="pages">pages 3-23</span>,
      <span class="publication-date">  <span class="year">2018</span></span>.
    </span>
    <span class="publisher">Springer.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-319-92994-1_1" data-doi="10.1007/978-3-319-92994-1_1" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-319-92994-1_1</a>
  </span>
  <a class="bibentry-link" href="#TAP18"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>,
        <a class="keyword" href="../Keyword/WITNESS-BASED-VALIDATION.html">Witness-Based Validation</a>,
        <a class="keyword" href="../Keyword/WITNESS-BASED-VALIDATION-MAIN.html">Witness-Based Validation (main)</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-319-92994-1_1" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2018-TAP.Tests_from_Witnesses_Execution-Based_Validation_of_Verification_Results.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="presentation-link" href="https://www.sosy-lab.org/research/prs/2018-06-27_TAP18-Keynote-CooperativeVerification_Dirk.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/presentation.gif">Presentation</a>
      <a class="material-link" href="https://www.sosy-lab.org/research/tests-from-witnesses/"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        The research community made enormous progress in the past years
        in developing algorithms for verifying software, as shown by
        verification competitions (SV-COMP). However, the ultimate goal
        is to design certifying algorithms, which produce for a given input
        not only the output but in addition a witness. This makes it possible
        to validate that the output is a correct solution for the
        input problem. The advantage of certifying algorithms is that the
        validation of the result is —thanks to the witness— easier than the
        computation of the result. Unfortunately, the transfer to industry
        is slow, one of the reasons being that some verifiers report a
        considerable number of false alarms. The verification community
        works towards this ultimate goal using exchangeable violation
        witnesses, i.e., an independent validator can be used to check
        whether the produced witness indeed represents a bug. This reduces
        the required trust base from the complex verification tool to a
        validator that may be less complex, and thus, more easily trustable.
        But existing witness validators are based on model-checking
        technology — which does not solve the problem of reducing the trust
        base. To close this gap, we present a simple concept that is based
        on program execution: We extend witness validation by generating
        a test vector from an error path that is reconstructed from
        the witness. Then, we generate a test harness
        (similar to unit-test code) that can be compiled and linked
        together with the original program. We then run the executable
        program in an isolating container. If the execution violates the
        specification (similar to runtime verification) we confirm that the
        witness indeed represents a bug. This method reduces the trust
        base to the execution system, which seems appropriate for avoiding
        false alarms. To show feasibility and practicality, we implemented
        execution-based witness validation in two completely independent
        analysis frameworks, and performed a large experimental study.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{TAP18,
        author = {Dirk Beyer and Matthias Dangl and Thomas Lemberger and Michael Tautschnig},
        title = {Tests from Witnesses: Execution-Based Validation of Verification Results},
        booktitle = {Proceedings of the 12th International Conference on Tests and Proofs (TAP~2018, Toulouse, France, June 27-29)},
        editor = {Catherine Dubois and Burkhart Wolff},
        pages = {3-23},
        year = {2018},
        series = {LNCS~10889},
        publisher = {Springer},
        doi = {10.1007/978-3-319-92994-1_1},
        sha256 = {},
        url = {https://www.sosy-lab.org/research/tests-from-witnesses/},
        pdf = {https://www.sosy-lab.org/research/pub/2018-TAP.Tests_from_Witnesses_Execution-Based_Validation_of_Verification_Results.pdf},
        presentation = {https://www.sosy-lab.org/research/prs/2018-06-27_TAP18-Keynote-CooperativeVerification_Dirk.pdf},
        abstract = {The research community made enormous progress in the past years in developing algorithms for verifying software, as shown by verification competitions (SV-COMP). However, the ultimate goal is to design certifying algorithms, which produce for a given input not only the output but in addition a witness. This makes it possible to validate that the output is a correct solution for the input problem. The advantage of certifying algorithms is that the validation of the result is —thanks to the witness— easier than the computation of the result. Unfortunately, the transfer to industry is slow, one of the reasons being that some verifiers report a considerable number of false alarms. The verification community works towards this ultimate goal using exchangeable violation witnesses, i.e., an independent validator can be used to check whether the produced witness indeed represents a bug. This reduces the required trust base from the complex verification tool to a validator that may be less complex, and thus, more easily trustable. But existing witness validators are based on model-checking technology — which does not solve the problem of reducing the trust base. To close this gap, we present a simple concept that is based on program execution: We extend witness validation by generating a test vector from an error path that is reconstructed from the witness. Then, we generate a test harness (similar to unit-test code) that can be compiled and linked together with the original program. We then run the executable program in an isolating container. If the execution violates the specification (similar to runtime verification) we confirm that the witness indeed represents a bug. This method reduces the trust base to the execution system, which seems appropriate for avoiding false alarms. To show feasibility and practicality, we implemented execution-based witness validation in two completely independent analysis frameworks, and performed a large experimental study.},
        keyword = {CPAchecker,Software Model Checking,Witness-Based Validation,Witness-Based Validation (main)},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="TACAS17">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>.</span>
    <span class="publication-title">Software Verification with Validation of Results (Report on SV-COMP 2017).</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">A.</span> <span class="lastname">Legay</span></span> and
      <span class="editor"><span class="firstname">T.</span> <span class="lastname">Margaria</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 23rd International Conference on
        Tools and Algorithms for the Construction and Analysis of Systems (TACAS 2017, Uppsala, Sweden, April 22-29)</em>,
      <span class="series">LNCS 10206</span>,
      <span class="pages">pages 331-349</span>,
      <span class="publication-date">  <span class="year">2017</span></span>.
    </span>
    <span class="publisher">Springer-Verlag, Heidelberg.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-662-54580-5_20" data-doi="10.1007/978-3-662-54580-5_20" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-662-54580-5_20</a>
  </span>
  <a class="bibentry-link" href="#TACAS17"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/COMPETITION-ON-SOFTWARE-VERIFICATION-SV-COMP.html">Competition on Software Verification (SV-COMP)</a>,
        <a class="keyword" href="../Keyword/COMPETITION-ON-SOFTWARE-VERIFICATION-SV-COMP-REPORT.html">Competition on Software Verification (SV-COMP Report)</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>,
        <a class="keyword" href="../Keyword/WITNESS-BASED-VALIDATION.html">Witness-Based Validation</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-662-54580-5_20" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2017-TACAS.Software_Verification_with_Validation_of_Results.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="https://sv-comp.sosy-lab.org/2017/"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{TACAS17,
        author = {Dirk Beyer},
        title = {Software Verification with Validation of Results ({R}eport on {SV-COMP} 2017)},
        booktitle = {Proceedings of the 23rd International Conference on Tools and Algorithms for the Construction and Analysis of Systems (TACAS~2017, Uppsala, Sweden, April 22-29)},
        editor = {A.~Legay and T.~Margaria},
        pages = {331-349},
        year = {2017},
        series = {LNCS~10206},
        publisher = {Springer-Verlag, Heidelberg},
        isbn = {978-3-662-54579-9},
        doi = {10.1007/978-3-662-54580-5_20},
        sha256 = {},
        url = {https://sv-comp.sosy-lab.org/2017/},
        pdf = {https://www.sosy-lab.org/research/pub/2017-TACAS.Software_Verification_with_Validation_of_Results.pdf},
        keyword = {Competition on Software Verification (SV-COMP),Competition on Software Verification (SV-COMP Report),Software Model Checking,Witness-Based Validation},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="SE17-Witnesses">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><a href="../Author/DANGL-M.html"><span class="firstname">Matthias</span> <span class="lastname">Dangl</span></a></span>,
    <span class="author"><span class="firstname">Daniel</span> <span class="lastname">Dietsch</span></span>, and
    <span class="author"><span class="firstname">Matthias</span> <span class="lastname">Heizmann</span></span>.</span>
    <span class="publication-title">Exchanging Verification Witnesses between Verifiers.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">J.</span> <span class="lastname">Jürjens</span></span> and
      <span class="editor"><span class="firstname">K.</span> <span class="lastname">Schneider</span></span>, editors</span>,
      <em class="booktitle">  Tagungsband Software Engineering 2017, Fachtagung des GI-Fachbereichs Softwaretechnik
        (21.-24. Februar 2017, Hannover, Deutschland)</em>,
      <span class="series">LNI P-267</span>,
      <span class="pages">pages 93-94</span>,
      <span class="publication-date">  <span class="year">2017</span></span>.
    </span>
    <span class="publisher">Gesellschaft für Informatik (GI).</span>
  </span>
  <a class="bibentry-link" href="#SE17-Witnesses"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>,
        <a class="keyword" href="../Keyword/WITNESS-BASED-VALIDATION.html">Witness-Based Validation</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link" href="https://dl.gi.de/handle/20.500.12116/1288" title="Link to official version of paper (may be a landing page with more information)">Publisher's Version</a>
    </span>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{SE17-Witnesses,
        author = {Dirk Beyer and Matthias Dangl and Daniel Dietsch and Matthias Heizmann},
        title = {Exchanging Verification Witnesses between Verifiers},
        booktitle = {Tagungsband Software Engineering 2017, Fachtagung des GI-Fachbereichs Softwaretechnik (21.-24. Februar 2017, Hannover, Deutschland)},
        editor = {J.~J{\&quot;{u}}rjens and K.~Schneider},
        pages = {93-94},
        year = {2017},
        series = {{LNI}~P-267},
        publisher = {Gesellschaft f{\&quot;{u}}r Informatik ({GI})},
        url = {},
        keyword = {CPAchecker,Software Model Checking,Witness-Based Validation},
        annote = {This is a summary of a &lt;a href=&quot;https://www.sosy-lab.org/research/bib/Year/2016.html#FSE16b&quot;&gt;full article on this topic&lt;/a&gt; that appeared in Proc. ESEC/FSE 2016.},
        doinone = {DOI not available},
        urlpub = {https://dl.gi.de/handle/20.500.12116/1288},
        }
        
      </div>
    </details>
    <details open class="annote">
      <summary>Additional Infos</summary>
      <div>
        This is a summary of a <a href="https://www.sosy-lab.org/research/bib/Year/2016.html#FSE16b">full article on this topic</a> that appeared in Proc. ESEC/FSE 2016.
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="FSE16b">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><a href="../Author/DANGL-M.html"><span class="firstname">Matthias</span> <span class="lastname">Dangl</span></a></span>,
    <span class="author"><span class="firstname">Daniel</span> <span class="lastname">Dietsch</span></span>, and
    <span class="author"><span class="firstname">Matthias</span> <span class="lastname">Heizmann</span></span>.</span>
    <span class="publication-title">Correctness Witnesses: Exchanging Verification Results Between Verifiers.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">T.</span> <span class="lastname">Zimmermann</span></span>,
      <span class="editor"><span class="firstname">J.</span> <span class="lastname">Cleland-Huang</span></span>, and
      <span class="editor"><span class="firstname">Z.</span> <span class="lastname">Su</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 24th ACM SIGSOFT International Symposium on
        Foundations of Software Engineering (FSE 2016, Seattle, WA, USA, November 13-18)</em>,
      <span class="pages">pages 326-337</span>,
      <span class="publication-date">  <span class="year">2016</span></span>.
    </span>
    <span class="publisher">ACM.</span>
    <a class="doi" href="https://doi.org/10.1145/2950290.2950351" data-doi="10.1145/2950290.2950351" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1145/2950290.2950351</a>
  </span>
  <a class="bibentry-link" href="#FSE16b"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>,
        <a class="keyword" href="../Keyword/WITNESS-BASED-VALIDATION.html">Witness-Based Validation</a>,
        <a class="keyword" href="../Keyword/WITNESS-BASED-VALIDATION-MAIN.html">Witness-Based Validation (main)</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1145/2950290.2950351" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2016-FSE.Correctness_Witnesses_Exchanging_Verification_Results_between_Verifiers.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
    </span>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{FSE16b,
        author = {Dirk Beyer and Matthias Dangl and Daniel Dietsch and Matthias Heizmann},
        title = {Correctness Witnesses: {E}xchanging Verification Results Between Verifiers},
        booktitle = {Proceedings of the 24th ACM SIGSOFT International Symposium on Foundations of Software Engineering (FSE~2016, Seattle, WA, USA, November 13-18)},
        editor = {T.~Zimmermann and J.~Cleland-Huang and Z.~Su},
        pages = {326-337},
        year = {2016},
        publisher = {ACM},
        doi = {10.1145/2950290.2950351},
        sha256 = {},
        url = {},
        pdf = {https://www.sosy-lab.org/research/pub/2016-FSE.Correctness_Witnesses_Exchanging_Verification_Results_between_Verifiers.pdf},
        keyword = {CPAchecker,Software Model Checking,Witness-Based Validation,Witness-Based Validation (main)},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="CAV16">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span> and
    <span class="author"><a href="../Author/DANGL-M.html"><span class="firstname">Matthias</span> <span class="lastname">Dangl</span></a></span>.</span>
    <span class="publication-title">Verification-Aided Debugging: An Interactive Web-Service for Exploring Error Witnesses.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">S.</span> <span class="lastname">Chaudhuri</span></span> and
      <span class="editor"><span class="firstname">A.</span> <span class="lastname">Farzan</span></span>, editors</span>,
      <em class="booktitle">  28th International Conference on
        Computer Aided Verification (CAV 2016, Part 2, Toronto, ON, Canada, July 17-23)</em>,
      <span class="series">LNCS 9780</span>,
      <span class="pages">pages 502-509</span>,
      <span class="publication-date">  <span class="year">2016</span></span>.
    </span>
    <span class="publisher">Springer.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-319-41540-6_28" data-doi="10.1007/978-3-319-41540-6_28" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-319-41540-6_28</a>
  </span>
  <a class="bibentry-link" href="#CAV16"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CLOUD-BASED-SOFTWARE-VERIFICATION.html">Cloud-Based Software Verification</a>,
        <a class="keyword" href="../Keyword/WITNESS-BASED-VALIDATION.html">Witness-Based Validation</a>,
        <a class="keyword" href="../Keyword/WITNESS-BASED-VALIDATION-MAIN.html">Witness-Based Validation (main)</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-319-41540-6_28" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2016-CAV.Verification-Aided_Debugging_An_Interactive_Web-Service_for_Exploring_Error_Witnesses.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
    </span>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{CAV16,
        author = {Dirk Beyer and Matthias Dangl},
        title = {Verification-Aided Debugging: {A}n Interactive Web-Service for Exploring Error Witnesses},
        booktitle = {28th International Conference on Computer Aided Verification (CAV~2016, Part~2, Toronto, ON, Canada, July 17-23)},
        editor = {S.~Chaudhuri and A.~Farzan},
        pages = {502-509},
        year = {2016},
        series = {LNCS~9780},
        publisher = {Springer},
        doi = {10.1007/978-3-319-41540-6_28},
        sha256 = {89a353eace6233e10cd85e64b0c197209367d617b94c2d02766e922ea88c9e4c},
        pdf = {https://www.sosy-lab.org/research/pub/2016-CAV.Verification-Aided_Debugging_An_Interactive_Web-Service_for_Exploring_Error_Witnesses.pdf},
        keyword = {Cloud-Based Software Verification,Witness-Based Validation,Witness-Based Validation (main)},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="TACAS16">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>.</span>
    <span class="publication-title">Reliable and Reproducible Competition Results with BenchExec and Witnesses (Report on SV-COMP 2016).</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">M.</span> <span class="lastname">Chechik</span></span> and
      <span class="editor"><span class="firstname">J.-F.</span> <span class="lastname">Raskin</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 22nd International Conference on
        Tools and Algorithms for the Construction and Analysis of Systems (TACAS 2016, Eindhoven, The Netherlands, April 2-8)</em>,
      <span class="series">LNCS 9636</span>,
      <span class="pages">pages 887-904</span>,
      <span class="publication-date">  <span class="year">2016</span></span>.
    </span>
    <span class="publisher">Springer-Verlag, Heidelberg.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-662-49674-9_55" data-doi="10.1007/978-3-662-49674-9_55" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-662-49674-9_55</a>
  </span>
  <a class="bibentry-link" href="#TACAS16"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/COMPETITION-ON-SOFTWARE-VERIFICATION-SV-COMP.html">Competition on Software Verification (SV-COMP)</a>,
        <a class="keyword" href="../Keyword/COMPETITION-ON-SOFTWARE-VERIFICATION-SV-COMP-REPORT.html">Competition on Software Verification (SV-COMP Report)</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>,
        <a class="keyword" href="../Keyword/WITNESS-BASED-VALIDATION.html">Witness-Based Validation</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-662-49674-9_55" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://link.springer.com/content/pdf/10.1007/978-3-662-49674-9_55.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="https://sv-comp.sosy-lab.org/2016/"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{TACAS16,
        author = {Dirk Beyer},
        title = {Reliable and Reproducible Competition Results with {{\sc BenchExec}} and Witnesses ({R}eport on {SV-COMP} 2016)},
        booktitle = {Proceedings of the 22nd International Conference on Tools and Algorithms for the Construction and Analysis of Systems (TACAS~2016, Eindhoven, The Netherlands, April 2-8)},
        editor = {M.~Chechik and J.-F.~Raskin},
        pages = {887-904},
        year = {2016},
        series = {LNCS~9636},
        publisher = {Springer-Verlag, Heidelberg},
        isbn = {978-3-662-49674-9},
        doi = {10.1007/978-3-662-49674-9_55},
        sha256 = {bc8f02d7c0651c1197977f13e77c1fcb22a5f85aadd96dc4aa59b454b199ed0e},
        url = {https://sv-comp.sosy-lab.org/2016/},
        keyword = {Competition on Software Verification (SV-COMP),Competition on Software Verification (SV-COMP Report),Software Model Checking,Witness-Based Validation},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="SE16b-VerificationWitnesses">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><a href="../Author/DANGL-M.html"><span class="firstname">Matthias</span> <span class="lastname">Dangl</span></a></span>,
    <span class="author"><span class="firstname">Daniel</span> <span class="lastname">Dietsch</span></span>,
    <span class="author"><span class="firstname">Matthias</span> <span class="lastname">Heizmann</span></span>, and
    <span class="author"><span class="firstname">Andreas</span> <span class="lastname">Stahlbauer</span></span>.</span>
    <span class="publication-title">Verification Witnesses.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">J.</span> <span class="lastname">Knoop</span></span> and
      <span class="editor"><span class="firstname">U.</span> <span class="lastname">Zdun</span></span>, editors</span>,
      <em class="booktitle">  Tagungsband Software Engineering 2016, Fachtagung des GI-Fachbereichs Softwaretechnik
        (23.-26. Februar 2016, Wien, Österreich)</em>,
      <span class="series">LNI 252</span>,
      <span class="pages">pages 105-106</span>,
      <span class="publication-date">  <span class="year">2016</span></span>.
    </span>
    <span class="publisher">Gesellschaft für Informatik (GI).</span>
  </span>
  <a class="bibentry-link" href="#SE16b-VerificationWitnesses"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>,
        <a class="keyword" href="../Keyword/WITNESS-BASED-VALIDATION.html">Witness-Based Validation</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link" href="https://dl.gi.de/handle/20.500.12116/746" title="Link to official version of paper (may be a landing page with more information)">Publisher's Version</a>
    </span>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{SE16b-VerificationWitnesses,
        author = {Dirk Beyer and Matthias Dangl and Daniel Dietsch and Matthias Heizmann and Andreas Stahlbauer},
        title = {Verification Witnesses},
        booktitle = {Tagungsband Software Engineering 2016, Fachtagung des GI-Fachbereichs Softwaretechnik (23.-26. Februar 2016, Wien, {\&quot;O}sterreich)},
        editor = {J.~Knoop and U.~Zdun},
        pages = {105-106},
        year = {2016},
        series = {{LNI}~252},
        publisher = {Gesellschaft f{\&quot;{u}}r Informatik ({GI})},
        url = {},
        keyword = {CPAchecker,Software Model Checking,Witness-Based Validation},
        annote = {This is a summary of a &lt;a href=&quot;https://www.sosy-lab.org/research/bib/Year/2015.html#FSE15&quot;&gt;full article on this topic&lt;/a&gt; that appeared in Proc. ESEC/FSE 2015.},
        doinone = {DOI not available},
        urlpub = {https://dl.gi.de/handle/20.500.12116/746},
        }
        
      </div>
    </details>
    <details open class="annote">
      <summary>Additional Infos</summary>
      <div>
        This is a summary of a <a href="https://www.sosy-lab.org/research/bib/Year/2015.html#FSE15">full article on this topic</a> that appeared in Proc. ESEC/FSE 2015.
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="FSE15">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><a href="../Author/DANGL-M.html"><span class="firstname">Matthias</span> <span class="lastname">Dangl</span></a></span>,
    <span class="author"><span class="firstname">Daniel</span> <span class="lastname">Dietsch</span></span>,
    <span class="author"><span class="firstname">Matthias</span> <span class="lastname">Heizmann</span></span>, and
    <span class="author"><span class="firstname">Andreas</span> <span class="lastname">Stahlbauer</span></span>.</span>
    <span class="publication-title">Witness Validation and Stepwise Testification across Software Verifiers.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">E. Di</span> <span class="lastname">Nitto</span></span>,
      <span class="editor"><span class="firstname">M.</span> <span class="lastname">Harman</span></span>, and
      <span class="editor"><span class="firstname">P.</span> <span class="lastname">Heymans</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 2015 10th Joint Meeting of the European Software Engineering Conference and the ACM SIGSOFT Symposium on 
        Foundations of Software Engineering (ESEC/FSE 2015, Bergamo, Italy, August 31 - September 4)</em>,
      <span class="pages">pages 721-733</span>,
      <span class="publication-date">  <span class="year">2015</span></span>.
    </span>
    <span class="publisher">ACM, New York.</span>
    <a class="doi" href="https://doi.org/10.1145/2786805.2786867" data-doi="10.1145/2786805.2786867" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1145/2786805.2786867</a>
  </span>
  <a class="bibentry-link" href="#FSE15"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>,
        <a class="keyword" href="../Keyword/WITNESS-BASED-VALIDATION.html">Witness-Based Validation</a>,
        <a class="keyword" href="../Keyword/WITNESS-BASED-VALIDATION-MAIN.html">Witness-Based Validation (main)</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1145/2786805.2786867" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2015-FSE15.Witness_Validation_and_Stepwise_Testification_across_Software_Verifiers.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
    </span>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{FSE15,
        author = {Dirk Beyer and Matthias Dangl and Daniel Dietsch and Matthias Heizmann and Andreas Stahlbauer},
        title = {Witness Validation and Stepwise Testification across Software Verifiers},
        booktitle = {Proceedings of the 2015 10th Joint Meeting of the European Software Engineering Conference and the ACM SIGSOFT Symposium on  Foundations of Software Engineering (ESEC/FSE 2015, Bergamo, Italy, August 31 - September 4)},
        editor = {E.~Di~Nitto and M.~Harman and P.~Heymans},
        pages = {721-733},
        year = {2015},
        publisher = {ACM, New York},
        isbn = {978-1-4503-3675-8},
        doi = {10.1145/2786805.2786867},
        url = {},
        pdf = {https://www.sosy-lab.org/research/pub/2015-FSE15.Witness_Validation_and_Stepwise_Testification_across_Software_Verifiers.pdf},
        keyword = {CPAchecker,Software Model Checking,Witness-Based Validation,Witness-Based Validation (main)},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="TACAS15">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>.</span>
    <span class="publication-title">Software Verification and Verifiable Witnesses (Report on SV-COMP 2015).</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">C.</span> <span class="lastname">Baier</span></span> and
      <span class="editor"><span class="firstname">C.</span> <span class="lastname">Tinelli</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 21st International Conference on
        Tools and Algorithms for the Construction and Analysis of Systems (TACAS 2015, London, UK, April 13-17)</em>,
      <span class="series">LNCS 9035</span>,
      <span class="pages">pages 401-416</span>,
      <span class="publication-date">  <span class="year">2015</span></span>.
    </span>
    <span class="publisher">Springer-Verlag, Heidelberg.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-662-46681-0_31" data-doi="10.1007/978-3-662-46681-0_31" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-662-46681-0_31</a>
  </span>
  <a class="bibentry-link" href="#TACAS15"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/COMPETITION-ON-SOFTWARE-VERIFICATION-SV-COMP.html">Competition on Software Verification (SV-COMP)</a>,
        <a class="keyword" href="../Keyword/COMPETITION-ON-SOFTWARE-VERIFICATION-SV-COMP-REPORT.html">Competition on Software Verification (SV-COMP Report)</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>,
        <a class="keyword" href="../Keyword/WITNESS-BASED-VALIDATION.html">Witness-Based Validation</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-662-46681-0_31" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://link.springer.com/content/pdf/10.1007/978-3-662-46681-0_31.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="https://sv-comp.sosy-lab.org/2015/"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{TACAS15,
        author = {Dirk Beyer},
        title = {Software Verification and Verifiable Witnesses (Report on {SV-COMP} 2015)},
        booktitle = {Proceedings of the 21st International Conference on Tools and Algorithms for the Construction and Analysis of Systems (TACAS~2015, London, UK, April 13-17)},
        editor = {C.~Baier and C.~Tinelli},
        pages = {401-416},
        year = {2015},
        series = {LNCS~9035},
        publisher = {Springer-Verlag, Heidelberg},
        isbn = {978-3-662-46680-3},
        doi = {10.1007/978-3-662-46681-0_31},
        sha256 = {858448ee22256b3ed7f35603d81e942b58652f3b4d2660a22b858dc1c3ac16d0},
        url = {https://sv-comp.sosy-lab.org/2015/},
        keyword = {Competition on Software Verification (SV-COMP),Competition on Software Verification (SV-COMP Report),Software Model Checking,Witness-Based Validation},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="SPIN13">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span> and
    <span class="author"><a href="../Author/WENDLER-P.html"><span class="firstname">Philipp</span> <span class="lastname">Wendler</span></a></span>.</span>
    <span class="publication-title">Reuse of Verification Results: Conditional Model Checking, Precision Reuse, and Verification Witnesses.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">E.</span> <span class="lastname">Bartocci</span></span> and
      <span class="editor"><span class="firstname">C. R.</span> <span class="lastname">Ramakrishnan</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 2013 International Symposium
        on Model Checking of Software (SPIN 2013, Stony Brook, NY, USA, July 8-9)</em>,
      <span class="series">LNCS 7976</span>,
      <span class="pages">pages 1-17</span>,
      <span class="publication-date">  <span class="year">2013</span></span>.
    </span>
    <span class="publisher">Springer-Verlag, Heidelberg.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-642-39176-7_1" data-doi="10.1007/978-3-642-39176-7_1" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-642-39176-7_1</a>
  </span>
  <a class="bibentry-link" href="#SPIN13"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>,
        <a class="keyword" href="../Keyword/WITNESS-BASED-VALIDATION.html">Witness-Based Validation</a>,
        <a class="keyword" href="../Keyword/WITNESS-BASED-VALIDATION-MAIN.html">Witness-Based Validation (main)</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-642-39176-7_1" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2013-SPIN.Reuse_of_Verification_Results.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="http://www.sosy-lab.org/~dbeyer/cpa-reuse-gen/"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        Verification is a complex algorithmic task, requiring
        large amounts of computing resources.  One approach
        to reduce the resource consumption is to reuse
        information from previous verification runs.  This
        paper gives an overview of three techniques for such
        information reuse.  Conditional model checking
        outputs a condition that describes the state space
        that was successfully verified, and accepts as input
        a condition that instructs the model checker which
        parts of the system should be verified; thus, later
        verification runs can use the output condition of
        previous runs in order to not verify again parts of
        the state space that were already verified.
        Precision reuse is a technique to use intermediate
        results from previous verification runs to
        accelerate further verification runs of the system;
        information about the level of abstraction in the
        abstract model can be reused in later verification
        runs.  Typical model checkers provide an error path
        through the system as witness for having proved that
        a system violates a property, and a few model
        checkers provide some kind of proof certificate as a
        witness for the correctness of the system; these
        witnesses should be such that the verifiers can read
        them and -with less computational effort-
        (re-) verify that the witness is valid.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{SPIN13,
        author = {Dirk Beyer and Philipp Wendler},
        title = {Reuse of Verification Results: Conditional Model Checking, Precision Reuse, and Verification Witnesses},
        booktitle = {Proceedings of the 2013 International Symposium on Model Checking of Software (SPIN~2013, Stony Brook, NY, USA, July 8-9)},
        editor = {E.~Bartocci and C.~R.~Ramakrishnan},
        pages = {1-17},
        year = {2013},
        series = {LNCS~7976},
        publisher = {Springer-Verlag, Heidelberg},
        isbn = {},
        doi = {10.1007/978-3-642-39176-7_1},
        sha256 = {},
        url = {http://www.sosy-lab.org/~dbeyer/cpa-reuse-gen/},
        pdf = {https://www.sosy-lab.org/research/pub/2013-SPIN.Reuse_of_Verification_Results.pdf},
        abstract = {Verification is a complex algorithmic task, requiring large amounts of computing resources.  One approach to reduce the resource consumption is to reuse information from previous verification runs.  This paper gives an overview of three techniques for such information reuse.  Conditional model checking outputs a condition that describes the state space that was successfully verified, and accepts as input a condition that instructs the model checker which parts of the system should be verified; thus, later verification runs can use the output condition of previous runs in order to not verify again parts of the state space that were already verified. Precision reuse is a technique to use intermediate results from previous verification runs to accelerate further verification runs of the system; information about the level of abstraction in the abstract model can be reused in later verification runs.  Typical model checkers provide an error path through the system as witness for having proved that a system violates a property, and a few model checkers provide some kind of proof certificate as a witness for the correctness of the system; these witnesses should be such that the verifiers can read them and ---with less computational effort--- (re-) verify that the witness is valid.},
        keyword = {Software Model Checking,Witness-Based Validation,Witness-Based Validation (main)},
        }
        
      </div>
    </details>
  </span>
</li>

</ol>
 <section id="disclaimer"> <h4>Disclaimer:</h4> <p class="disclaimer"> This material is presented to ensure timely dissemination of scholarly and technical work. Copyright and all rights therein are retained by authors or by other copyright holders. All person copying this information are expected to adhere to the terms and constraints invoked by each author's copyright. In most cases, these works may not be reposted without the explicit permission of the copyright holder. </p> </section> <footer id="generator">This file was generated by <a href="https://gitlab.com/sosy-lab/software/pybib2web/">pybib2web</a>, version 0.7.dev0</footer>